<?php 
defined('CONF_URL_APP') or die;
c_include('widget','helpers/widgetHelper');
e_include('ext_newsletter/class/helperMotorNewsletter','ext_newsletter/class/listaNewsletter');

abstract class newslettersubscribeHelpers {
	public static function getParametros($w=null){
		if (empty($w))
			return false;
			
		$params = Helpers::toArray(json_decode($w->params));
			
		return $params;
	}
	public static function getListaSuscripcion($p=null){
		if (empty($p))
			return false;
			
		if (!array_key_exists("listasuscripcion", $p) || empty($p["listasuscripcion"])){
			echo __('No se han definido la lista de suscripción');
			return false;
		}
		
		if (!empty($GLOBALS["opciones"]["ext_newsletter"]["general"]["motor"]) && !empty($GLOBALS["opciones"]["ext_newsletter"]["general"]["opcionesmotor"]["urladmin"])){
		
			$hmn = new HelperMotorNewsletter();
			$motor_newsletter = $hmn->getCurrentMotor();
			
			if (is_object($motor_newsletter) && is_object($motor_newsletter->objeto)){
				$lista_sel = $motor_newsletter->getLista($p["listasuscripcion"]);
			} else {
				$lista_sel = new ListaNewsletter();
				$lista_sel->setid($p["listasuscripcion"]);
				
				if ($lista_sel = $lista_sel->BuscarId()){
					return $lista_sel;
				} else {
					return false;
				}
			}
		
		} else {
			$lista_sel = new ListaNewsletter();
			$lista_sel->setid($p["listasuscripcion"]);
			
			if ($lista_sel = $lista_sel->BuscarId()){
				return $lista_sel;
			} else {
				return false;
			}
		}
		
		if ($lista_sel instanceof ListaNewsletter){
			return $lista_sel;
		} else {
			return false;
		}
		
	}
}

?>