<?php
defined('CONF_URL_APP') or die;

global $app;

if (empty($_POST) || $_POST["token"] != Helpers::getFormToken()){
	App::setMsg(__("Acceso indirecto"), "error");
	Helpers::redirect(Helpers::currentUrl());
	exit;
}

if (!empty($_POST["return"])){
	$url_return = $_POST["return"];
} else {
	$url_return = Helpers::currentUrl();
}

if (empty($_POST["EMAIL"])){
	App::setMsg(__("Debes escribir la dirección de email"), "error");
	Helpers::redirect($url_return);
	exit;
}

if (!empty($GLOBALS["opciones"]["ext_newsletter"]["general"]["motor"])){
	e_include("ext_newsletter/class/helperMotorNewsletter");
	
	$motor_obj = new HelperMotorNewsletter();
	$motor_obj = $motor_obj->getCurrentMotor();
	
	if (is_object($motor_obj) && is_object($motor_obj->objeto)){
		$subscribe_motor_test = $motor_obj->sendSubscribeForm($_POST["list_id"], $_POST["EMAIL"], $_POST["NAME"]);
		
		if (!empty($subscribe_motor_test["euid"])){
			App::setMsg(__("Te has suscrito correctamente a la lista"), "success");
			Helpers::redirect($url_return);
			exit;
		} elseif ($subscribe_motor_test["tipo"] == "error"){
			App::setMsg($subscribe_motor_test["msg"], "error");
			Helpers::redirect($url_return);
			exit;
		} else {
			App::setMsg(__("Se ha producido un error al intentar suscribirte a la lista"), "error");
			Helpers::redirect($url_return);
			exit;
		}
	}
}

App::setMsg(__("Podría haberse suscrito"), "success");
Helpers::redirect($url_return);
exit;

?>