<?php
defined('CONF_URL_APP') or die;
/**
 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Mideas.Widget
 * @subpackage	mod_custom
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
?>
<?php if(is_object($lista_suscripcion)){
	$wtitle = SistemaIdioma::Imprimir($widget->titulo);
	if (empty($wtitle)){
		$wtitle = __("SUSCRIBETE A NUESTRA NEWSLETTER");
	}
	?>
<div class="panel panel-danger">
    <div class="panel-heading" align="center" id="mc_embed_signup">

    	<?php if (!empty($wtitle)){?>
        <h3><?php echo $wtitle;?></h3>
        <?php } ?>
    
      <form id="mc-embedded-subscribe-form" class="validate" action="<?php echo $lista_suscripcion->getSubscribeFormUrl();?>" method="post" name="mideas-subscribe-form" validate >
      <div class="row">
        <div class="form-group col-md-5">
          <input id="mideas-subscribe-form-NAME" class="form-control" name="NAME" type="text" value="" placeholder="Nombre">
        </div>
        <div class="mc-field-group form-group col-md-5">
          <input id="mideas-subscribe-form-EMAIL" class="form-control required email" required name="EMAIL" type="email" value="" placeholder="Email">
        </div>
        <div id="mideas-subscribe-form-responses"></div>
        <!-- real people should not fill this in and expect good things - do not remove this or risk form bot signups-->
        <div class="col-md-2">
          <button id="mideas-subscribe-form-subscribe-btn" class="btn-transparent btn btn-default btn-send btn-block" name="subscribe" type="submit"><i class="fa fa-arrow-right"></i> <?php echo __('Enviar');?></button>
          <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>" />
          <input type="hidden" name="return" value="<?php echo Helpers::currentUrl();?>" />
          <input type="hidden" name="action" value="ext_newsletter_subscribe" />
          <input type="hidden" name="list_id" value="<?php echo $lista_suscripcion->id;?>" />
          <input type="hidden" name="motor" value="<?php echo $GLOBALS["opciones"]["ext_newsletter"]["general"]["motor"];?>" />
        </div>
        </div>
      </form>

    </div>
    <!--End mc_embed_signup--> 
</div>
<?php } ?>
